You are not logged in.

#1 2009-02-28 05:40:59

neodaemon
Member
Registered: 2009-02-28
Posts: 9

[SOLVED]fresh install of arch 2009.2, but can't install xfce4

Hello all,

I'm not new to Linux or any of the *BSD's, been at it for quite a few years. I am new to Arch, though.

I really like what I've learned about it so far, and really want to embrace it as a main system, but I'm having a hard time getting off the ground. I want to install xfce4, but I keep getting this error:

xfce4-settings: conflicts with xfce-mcs-manager

It errors-out immediately. I read about a similar error in this forum, but never really discovered a fix.

Please help, and much appreciated in advance.

Last edited by neodaemon (2009-03-07 21:02:05)

Offline

#2 2009-02-28 05:45:29

Wintervenom
Member
From: /home/wintervenom
Registered: 2008-08-20
Posts: 1,011
Website

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4

Make sure you're using a recently-synced mirror, then say "no" to installing the whole group, and to the mcs packages, notification-daemon-xfce, (new xfce4-notifyd conflicts with this) and xfce4-screenshooter-plugin (new xfce4-screenshooter conflicts with this).

Last edited by Wintervenom (2009-02-28 05:48:45)


My [GitHub] and my [artwork].
Data is guaranteed to stay crunchy in milk.
Keep your _✍ hand strong.

Offline

#3 2009-02-28 06:26:16

neodaemon
Member
Registered: 2009-02-28
Posts: 9

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4

I appreciate your instructions, Winter. I'll give that a try.

Offline

#4 2009-02-28 06:32:52

neodaemon
Member
Registered: 2009-02-28
Posts: 9

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4

By the way - as the mirrors go, I have simply remarked all non-US mirrors, and archlinux.org (which is said to be locked down at ~50Kbps). Next I have performed the following:

pacman -Syy

and

pacman -Sy pacman

Is there another step to add here to make sure mirrors are recently sync'd?

Thanks again,

Offline

#5 2009-02-28 07:16:32

Wintervenom
Member
From: /home/wintervenom
Registered: 2008-08-20
Posts: 1,011
Website

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4


My [GitHub] and my [artwork].
Data is guaranteed to stay crunchy in milk.
Keep your _✍ hand strong.

Offline

#6 2009-02-28 08:21:39

Verge
Member
Registered: 2008-12-01
Posts: 8

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4

Wintervenom wrote:

Make sure you're using a recently-synced mirror, then say "no" to installing the whole group, and to the mcs packages, notification-daemon-xfce, (new xfce4-notifyd conflicts with this) and xfce4-screenshooter-plugin (new xfce4-screenshooter conflicts with this).

You could be a little more specific.

Conflicting packages are:
libxfce4mcs
xfce-mcs-manager
xfce-mcs-plugins

And some more conflicts in the optional xfce4-goodies group:
notification-daemon-xfce
xfce4-screenshooter-plugin
xfce4-xmms-plugin

Those packages should be ignored for a successful XFCE 4.6 installation.

Offline

#7 2009-02-28 08:24:33

neodaemon
Member
Registered: 2009-02-28
Posts: 9

Re: [SOLVED]fresh install of arch 2009.2, but can't install xfce4

I want to thank you both for your help and expertise. This worked like a charm!

I'm rockin' and rollin' !!

Arch RULZ,

Thanks again.

Offline

Board footer

Powered by FluxBB